> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Email Sequences

> Returns all the email sequence data for this campaign.



## OpenAPI

````yaml /openapi.yml get /api/v1/email-sequences/
openapi: 3.1.1
info:
  title: DeliverymanAI API
  version: 1.0.0
  description: >-
    API documentation for DeliverymanAI, a Cold Email Management and Automation
    platform. This API provides endpoints for managing campaigns, contacts,
    email sequences, and related services.
servers:
  - url: https://api.deliveryman.ai
    description: Deliveryman API Server
security: []
paths:
  /api/v1/email-sequences/:
    get:
      tags:
        - Campaign Email Sequence
      summary: List all Email Sequences
      description: Returns all the email sequence data for this campaign.
      operationId: email_sequences_retrieve
      parameters:
        - in: query
          name: campaign_uid
          schema:
            type: string
          description: UID of the campaign to fetch email sequences from.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllEmailSequenceResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetAllEmailSequenceResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetAllCampaignMessagesAPI'
        total:
          type: integer
      required:
        - data
        - total
    SimpleMessageResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    GetAllCampaignMessagesAPI:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        subject:
          type: string
        body:
          type: string
        next_message_days:
          type: integer
          maximum: 32767
          minimum: 0
        score:
          type:
            - integer
            - 'null'
          maximum: 2147483647
          minimum: 0
        verdict:
          type:
            - string
            - 'null'
        suggestions: {}
        label:
          $ref: '#/components/schemas/LabelEnum'
        blocked_reason:
          type:
            - string
            - 'null'
        is_flagged_for_approval:
          type: boolean
        block_approval:
          type: boolean
        email_content_type:
          $ref: '#/components/schemas/EmailContentTypeD42Enum'
      required:
        - body
        - id
        - subject
    LabelEnum:
      enum:
        - passed
        - blocked
        - rejected
        - approved
      type: string
      description: |-
        * `passed` - Passed
        * `blocked` - Blocked
        * `rejected` - Rejected
        * `approved` - Approved
    EmailContentTypeD42Enum:
      enum:
        - text/plain
        - text/html
        - text/rich
      type: string
      description: |-
        * `text/plain` - Plain Text
        * `text/html` - HTML
        * `text/rich` - Rich Text
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 'Enter your API key in the format: X-Api-Key <your_key>'

````